/** 单证 -- 托书 **/
import { getAction,deleteAction,postAction} from '@/api/manage'

//分页查询
const bookList = params => getAction('/syShippingOrder/syShippingOrder/list', params)

//参照数据分页查询
const PackingList =params => getAction('/syShippingOrder/syShippingOrder/queryTailoring', params)

//新增
const addPackingList =params => postAction('/syShippingOrder/syShippingOrder/add', params)

//编辑
const editPackingList =params => postAction('/syShippingOrder/syShippingOrder/edit', params)

//通过id删除
const deletePackingList =params => deleteAction('/syShippingOrder/syShippingOrder/delete', params)

//通过id查询
const bookListId = params => getAction('/syShippingOrder/syShippingOrder/queryById', params)

//提交，取消提交
const submitPackingList =params => postAction('/syShippingOrder/syShippingOrder/syShippingDetailsSubmit', params)
//结汇
const settlement  =params => getAction('/syShippingOrder/syShippingOrder/syShippingOrderPrint', params)




export {bookList,PackingList,addPackingList,editPackingList,deletePackingList,bookListId,submitPackingList,settlement}

